Subject: re: [trill] Should we make draft-mrw-trill-over-ip-01 a WG document?

From: Xuxiaohu <[email-masked]>
Date: Tue, 15 May 2012 03:26:30 +0000

> -----邮件原件-----
> 发件人: [email-masked] [mailto:[email-masked]] 代表 Joe Touch
> 发送时间: 2012年5月14日 23:11
> 收件人: Tissa Senevirathne (tsenevir)
> 抄送: Erik Nordmark; [email-masked]
> 主题: Re: [trill] Should we make draft-mrw-trill-over-ip-01 a WG document?
> 
> Regarding this approach, I'm also wondering why TRILL-over-IP?
> 
> Since TRILL is over ethernet, and ethernet is over IP, why is a specific
> solution for TRILL over IP even needed? Seems like a lot of potential
> complexity to save 18 bytes.

The following is quoted from section 9.1 "TRILL Nickname Advertisement Route" of draft-ietf-l2vpn-pbb-evpn-00:

   "It is worth noting here that while it is possible to transport
   Ethernet encapsulated TRILL frames over MPLS, that approach
   unnecessarily wastes 16 bytes per packet. That approach further
   requires either the use of well-known MAC addresses or having the
   MES nodes advertise in BGP their device MAC addresses, in order to
   resolve the TRILL next-hop L2 adjacency. To that end, it is simpler
   and more efficient to transport TRILL natively over MPLS and that is
   why we are defining the above BGP route for TRILL Nickname
   advertisement."

It seems that there is a strong motivation for PBB-EVPN folks to save that 18 bytes too.

Best regards,
Xiaohu

> Joe
> 
> On 5/14/2012 8:04 AM, Tissa Senevirathne (tsenevir) wrote:
> > Hi James
> >
> > I think we are agreeing on lots points except one important point i.e.
> > SHOULD or SHOULD NOT make individual submissions WG docs without a
> > strategy.
> >
> > My main objection of making individual submissions WG docs without well
> > thought through strategy is it takes away the focus and confuse WG,
> > customers and burden vendors. Additionally, TRILL WG should focus on the
> > priority items that was agreed in Taipei. Adding additional WG docs is
> > not helping anyways. I am in the opinion that WG should identify
> > priority Work areas, then form strategy around it, bring together
> > different ideas to form well thought through solutions.
> >
> > Secondly, it seems you are in the opinion that to get WG input the draft
> > need to be WG document. I disagree with that. A draft does not need to
> > be in WG status to get WG feedback. Authors should solicit feedback
> > through the mailing list. Making a WG status is not going to change
> > that.
> >
> >
> >
> > -----Original Message-----
> > From: James Carlson [mailto:[email-masked]]
> > Sent: Monday, May 14, 2012 7:30 AM
> > To: Tissa Senevirathne (tsenevir)
> > Cc: Erik Nordmark; [email-masked]
> > Subject: Re: [trill] Should we make draft-mrw-trill-over-ip-01 a WG
> > document?
> >
> > Tissa Senevirathne (tsenevir) wrote:
> >> That sounds a bit backwards to me.
> >>
> >> [Answer] Doing small piecemeal work, is not the right approach.
> >
> > We might agree on that point, but it's not the question at hand.  The
> > question at hand is whether to adopt a draft.
> >
> >> The document is clearly in scope of the working group, and I believe
> >> the only other question regarding adoption is whether the wg wants
> >> (and the authors want) to steer the document by the working group
> >> consensus process.
> >>
> >> [Answer] Good point, I re-read the charter one more time and there is
> >> no where it says TRILL over IP or other encapsulation, so it seems the
> >
> >> document is not in charter. Please could you point to the WG, which
> >> line item in charter that qualifies this work to be in scope ?
> >>
> >> https://datatracker.ietf.org/wg/trill/charter/
> >
> > Sure:
> >
> > 	"This includes a MIB module and
> > other pieces needed for operations, but also additional ways to extend
> > and optimize TRILL for the properties of the networks on which it is
> > deployed."
> >
> > This seems to me to be an additional way to extend TRILL for the
> > property of a network -- specifically, an IP network.
> >
> > Granted, I'm not thrilled about the idea of adding a new means to reach
> > mutual encapsulation.  I assume the authors have a good reason to do
> > this, and have interesting ideas on how and why it should be done.  The
> > important point is that I think this working group is the best possible
> > forum to air those ideas.
> >
> >> [Answer] IETF tradition has been to start with a problem space and
> >> create a common solution not making every draft that is in scope of
> >> charter a WG document. Your point on "too many solutions" exactly that
> >
> >> is my point having subset of solutions finally leads to too many small
> >
> >> pieces.
> >
> > Some efforts do indeed follow that simple linear path -- idea, BOF,
> > charter, WG, publication.  But that's certainly not the only path, nor
> > perhaps even the most common.  Adoption by an existing WG of new
> > in-scope documents is something that I view as crucially important to
> > continued WG viability.  Without it, protocols just grow like weeds as
> > new extensions are otherwise developed, deployed, and documented without
> > the help of WG consensus using the individual-submission RFC publication
> > track.
> >
> > Failing to adopt does not foreclose publication of an RFC describing
> > this extension, nor any other work by the authors.  It simply
> > disconnects the WG from the process.
> >
> > Sending TRILL over IP off to the individual-submission world without WG
> > input would, I think, be a poor result of this exercise.  I've been
> > through that problem as PPPEXT chair, and it's no fun.
> >
> _______________________________________________
> trill mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trill